Check Point Advisories

Oracle Java SE Ligature Substitution Glyph Storage Out Of Bounds Memory Access (CVE-2015-0469)

Check Point Reference: CPAI-2015-0666
Date Published: 14 Jun 2015
Severity: High
Last Updated: 10 Apr 2018
Source: Oracle
Industry Reference:CVE-2015-0469
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Oracle Java SE 5.0u81 and prior
Oracle Java SE 6u91 and prior
Oracle Java SE 7u76 and prior
Oracle Java SE 8u40 and prior
Vulnerability Description An out of bounds memory access vulnerability has been reported in Oracle Java SE. The vulnerability is due to an issue with insufficient validation of an index value prior to array access. This can lead to an off by one condition in the glyphStorage heap array object. A remote unauthenticated attacker can exploit this vulnerability by persuading users to load a malicious web page containing a Java applet. Successful exploitation could cause memory corruption that may lead to arbitrary code execution in the security context of the logged in user, or terminate the application resulting in a denial of service condition.

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Oracle Java SE Ligature Substitution Glyph Storage Out Of Bounds Memory Access protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Oracle Protection Violation.
Attack Information:  Oracle Java SE Ligature Substitution Glyph Storage Out Of Bounds Memory Access

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO